CMSIS-DSP: arm_linear_interp_example_f32.c File Reference

| CMSIS-DSP Version 1.5.2 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions | Variables
arm_linear_interp_example_f32.c File Reference

## Macros
#define | SNR_THRESHOLD
#define | TEST_LENGTH_SAMPLES
#define | XSPACING

## Functions
int32_t | main (void)

## Variables
float32_t | testInputSin_f32 [TEST_LENGTH_SAMPLES]
float32_t | testRefSinOutput32_f32 [TEST_LENGTH_SAMPLES]
float32_t | testOutput [TEST_LENGTH_SAMPLES]
float32_t | testLinIntOutput [TEST_LENGTH_SAMPLES]
float | arm_linear_interep_table [188495]
float32_t | snr1
float32_t | snr2

## Macro Definition Documentation

#define SNR_THRESHOLD

#define TEST_LENGTH_SAMPLES

Examples:
  arm_linear_interp_example_f32.c.

Referenced by main().

#define XSPACING

Examples:
  arm_linear_interp_example_f32.c.

Referenced by main().

## Function Documentation

int32_t main | ( | void |  | ) |

Examples:
  arm_linear_interp_example_f32.c.

References arm_linear_interep_table, arm_linear_interp_f32(), ARM_MATH_SUCCESS, ARM_MATH_TEST_FAILURE, arm_sin_f32(), arm_snr_f32(), snr1, snr2, status, TEST_LENGTH_SAMPLES, testInputSin_f32, testLinIntOutput, testOutput, testRefSinOutput32_f32, and XSPACING.

## Variable Documentation

float arm_linear_interep_table[188495]

Examples:
  arm_linear_interp_example_f32.c.

Referenced by main().

float32_t snr1

Examples:
  arm_linear_interp_example_f32.c.

Referenced by main().

float32_t snr2

Examples:
  arm_linear_interp_example_f32.c.

Referenced by main().

float32_t testInputSin_f32[TEST_LENGTH_SAMPLES]

Examples:
  arm_linear_interp_example_f32.c.

Referenced by main().

float32_t testLinIntOutput[TEST_LENGTH_SAMPLES]

Examples:
  arm_linear_interp_example_f32.c.

Referenced by main().

float32_t testOutput[TEST_LENGTH_SAMPLES]

Examples:
  arm_linear_interp_example_f32.c.

Referenced by main().

float32_t testRefSinOutput32_f32[TEST_LENGTH_SAMPLES]

Examples:
  arm_linear_interp_example_f32.c.

Referenced by main().